# TextBox class

A rectangle enclosing a run of text.

This is similar to Rect but includes an inherent TextDirection.

## Constructors

TextBox.fromLTRBD(double left, double top, double right, double bottom, TextDirection direction)
  Creates an object that describes a box containing text.
  const

## Properties

bottom → double
  The bottom edge of the text box.
  final
direction → TextDirection
  The direction in which text inside this box flows.
  final
end → double
  The right edge of the box for left-to-right text; the left edge of the box for right-to-left text. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, override
left → double
  The left edge of the text box, irrespective of direction. [...]
  final
right → double
  The right edge of the text box, irrespective of direction. [...]
  final
start → double
  The left edge of the box for left-to-right text; the right edge of the box for right-to-left text. [...]
  read-only
top → double
  The top edge of the text box.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toRect() → Rect
  Returns a rect of the same size as this box.
toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  override